org.apache.solr.update

## Class IndexFingerprint

- java.lang.Object
- - org.apache.solr.update.IndexFingerprint

- All Implemented Interfaces:
    MapSerializable

      public class IndexFingerprint
      extends Object
      implements MapSerializable

  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexFingerprint()`
    `IndexFingerprint(long maxVersionSpecified)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `compare(IndexFingerprint f1, IndexFingerprint f2)` returns 0 for equal, negative if f1 is less recent than f2, positive if more recent
    `static IndexFingerprint` | `fromObject(Object o)` Create an IndexFingerprint object from a deserialized generic object (Map or NamedList)
    `static IndexFingerprint` | `getFingerprint(SolrCore core, long maxVersion)` Opens a new realtime searcher and returns it's (possibly cached) fingerprint
    `static IndexFingerprint` | `getFingerprint(SolrIndexSearcher searcher, LeafReaderContext ctx, Long maxVersion)`
    `long` | `getMaxDoc()`
    `long` | `getMaxInHash()`
    `long` | `getMaxVersionEncountered()`
    `long` | `getMaxVersionSpecified()`
    `long` | `getNumDocs()`
    `long` | `getNumVersions()`
    `long` | `getVersionsHash()`
    `static IndexFingerprint` | `reduce(IndexFingerprint acc, IndexFingerprint f2)`
    `Map<String,Object>` | `toMap(Map<String,Object> map)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexFingerprint

          public IndexFingerprint()

    - #### IndexFingerprint

          public IndexFingerprint(long maxVersionSpecified)

  - ### Method Detail

    - #### getMaxVersionSpecified

          public long getMaxVersionSpecified()

    - #### getMaxVersionEncountered

          public long getMaxVersionEncountered()

    - #### getMaxInHash

          public long getMaxInHash()

    - #### getVersionsHash

          public long getVersionsHash()

    - #### getNumVersions

          public long getNumVersions()

    - #### getNumDocs

          public long getNumDocs()

    - #### getMaxDoc

          public long getMaxDoc()

    - #### getFingerprint

          public static IndexFingerprint getFingerprint(SolrCore core,
                                                        long maxVersion)
                                                 throws IOException

      Opens a new realtime searcher and returns it's (possibly cached) fingerprint
      Throws:
        `IOException`

    - #### getFingerprint

          public static IndexFingerprint getFingerprint(SolrIndexSearcher searcher,
                                                        LeafReaderContext ctx,
                                                        Long maxVersion)
                                                 throws IOException

      Throws:
        `IOException`

    - #### reduce

          public static IndexFingerprint reduce(IndexFingerprint acc,
                                                IndexFingerprint f2)

    - #### compare

          public static int compare(IndexFingerprint f1,
                                    IndexFingerprint f2)

      returns 0 for equal, negative if f1 is less recent than f2, positive if more recent

    - #### toMap

          public Map<String,Object> toMap(Map<String,Object> map)

      Specified by:
        `toMap` in interface `MapSerializable`

    - #### fromObject

          public static IndexFingerprint fromObject(Object o)

      Create an IndexFingerprint object from a deserialized generic object (Map or NamedList)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.